Product comparison · 2 ip phones

Yealink T58W(Pro) with Camera vs Yealink VP59-VCS Edition

Add a product
  • 45specifications compared
  • 19differ
  • 26identical
  • 63known for one product only

Key differences

The Yealink T58W(Pro) with Camera has 1 more USB 2.0 ports quantity than the Yealink VP59-VCS Edition (2 vs 1). The Yealink VP59-VCS Edition has 13.6 mm more width than the Yealink T58W(Pro) with Camera (273 mm vs 259.4 mm). The Yealink VP59-VCS Edition has 6 mm more depth than the Yealink T58W(Pro) with Camera (226 mm vs 220 mm). Handset type: Wireless handset on the Yealink T58W(Pro) with Camera, Wired handset on the Yealink VP59-VCS Edition. Product colour: Grey on the Yealink T58W(Pro) with Camera, Black on the Yealink VP59-VCS Edition.

  • Handset type
    • T58W(Pro) with Camera:Wireless handset
    • VP59-VCS Edition:Wired handset
  • Product colour
    • T58W(Pro) with Camera:Grey
    • VP59-VCS Edition:Black
  • Display
    • T58W(Pro) with Camera:LCD
    • VP59-VCS Edition:IPS
  • Display diagonal
    • T58W(Pro) with Camera:17.8 cm (7")
    • VP59-VCS Edition:20.3 cm (8")
  • Display resolution
    • T58W(Pro) with Camera:1024 x 600 pixels
    • VP59-VCS Edition:1280 x 800 pixels
  • Video resolutions
    • T58W(Pro) with Camera:1280 x 720 pixels
    • VP59-VCS Edition:1920 x 1080 pixels
  • Video capture resolution (max)
    • T58W(Pro) with Camera:1280 x 720 pixels
    • VP59-VCS Edition:1920 x 1080 pixels
  • USB 2.0 ports quantity
    • T58W(Pro) with Camera:2
    • VP59-VCS Edition:1

Side by side

Differences highlightedShow differences only (on)
Comparison of T58W(Pro) with Camera, VP59-VCS Edition
108 specifications
Design2 differ
Handset typeDiffersWireless handsetWired handset
Product colourDiffersGreyBlack
Wall mountableKnown for oneYesUnknown — not stated by the source
Backlight keypadKnown for oneUnknown — not stated by the sourceYes
Keypad illuminationKnown for oneUnknown — not stated by the sourceYes
Performanceidentical
Dual-Tone Multi-Frequency (DTMF) modesKnown for oneIn-band, Out-of band, SIP infoUnknown — not stated by the source
Hearing aid compatibilityKnown for oneYesUnknown — not stated by the source
Operating system installedKnown for oneUnknown — not stated by the sourceAndroid
Operating system versionKnown for oneUnknown — not stated by the sourceAndroid 7.1
Phone featuresidentical
Anonymous callKnown for oneYesUnknown — not stated by the source
Anonymous call rejectionKnown for oneYesUnknown — not stated by the source
Call forwardingKnown for oneYesUnknown — not stated by the source
Call holdKnown for oneYesUnknown — not stated by the source
Call parkKnown for oneYesUnknown — not stated by the source
Call pick upKnown for oneYesUnknown — not stated by the source
Call returnKnown for oneYesUnknown — not stated by the source
Call transferKnown for oneYesUnknown — not stated by the source
Caller IDKnown for oneYesUnknown — not stated by the source
Conference callKnown for oneYesUnknown — not stated by the source
Full duplexKnown for oneYesUnknown — not stated by the source
IntercomKnown for oneYesUnknown — not stated by the source
Message-waiting indicator (MWI)Known for oneYesUnknown — not stated by the source
Phonebook capacityKnown for one1000 entriesUnknown — not stated by the source
RedialingKnown for oneYesUnknown — not stated by the source
Speed diallingKnown for oneYesUnknown — not stated by the source
Call log entriesKnown for oneUnknown — not stated by the source500
Synchronized call logsKnown for oneUnknown — not stated by the sourceYes
Call historyKnown for oneUnknown — not stated by the sourceYes
Management featuresidentical
Keypad number of keysKnown for one27Unknown — not stated by the source
Number of function keysKnown for one7Unknown — not stated by the source
Volume controlKnown for oneUnknown — not stated by the sourceButtons
Base station keysKnown for oneUnknown — not stated by the sourceHeadset, mute, video, redial, speakerphone
Plug and PlayKnown for oneUnknown — not stated by the sourceYes
Display3 differ
DisplayDiffersLCDIPS
Display diagonalDiffers17.8 cm (7")20.3 cm (8")
Display resolutionDiffers1024 x 600 pixels1280 x 800 pixels
Number of simultaneous touchpointsKnown for oneUnknown — not stated by the source10
Cameraidentical
Field of view (FOV) angleKnown for one75°Unknown — not stated by the source
Horizontal field of viewKnown for oneUnknown — not stated by the source84°
Vertical field of viewKnown for oneUnknown — not stated by the source54°
Picture-in-PictureKnown for oneUnknown — not stated by the sourceYes
Audio1 differ
SpeakerphoneKnown for oneYesUnknown — not stated by the source
Adaptive jitter buffersKnown for oneYesUnknown — not stated by the source
Voice activity detectionKnown for oneYesUnknown — not stated by the source
Voice codecsDiffersG.711a, G.722, G.723.1, G.726, G.729, G.729A, G.729B, iLBCAGC, AJB, CNG, G.711, G.722.1, G.722.1C, OPUS, PLC
Echo cancellationKnown for oneUnknown — not stated by the sourceYes
Video2 differ
Bit rateKnown for one512 Kbit/sUnknown — not stated by the source
Video resolutionsDiffers1280 x 720 pixels1920 x 1080 pixels
Video capture resolution (max)Differs1280 x 720 pixels1920 x 1080 pixels
Video codecsKnown for oneH.264 High Profile, H.264, VP8Unknown — not stated by the source
Network2 differ
Ethernet LAN data ratesKnown for one1000 Mbit/sUnknown — not stated by the source
Wi-Fi standardsKnown for one802.11a, 802.11b, 802.11g, Wi-Fi 4 (802.11n)Unknown — not stated by the source
Networking standardsDiffersIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3afIEEE 802.1p, IEEE 802.1x, IEEE 802.3af
Security algorithmsDiffers256-bit AES, HTTPS, TLS, WPA2, WPA3256-bit AES, HTTPS, SRTP, TLS
Supported network protocolsKnown for oneIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)Unknown — not stated by the source
DHCP clientKnown for oneUnknown — not stated by the sourceYes
VoIP protocolsKnown for oneUnknown — not stated by the sourceH.323/SIP • Dual stream protocol: H.239 (H.323)/BFCP (SIP) • FECC: H.224/H.281, Sony VISCA and PELCO D/P • H.323 protocol suite: H.245, H.225, H.235, H.241
Ports & interfaces1 differ
USB 2.0 ports quantityDiffers21
Ethernet LAN (RJ-45) portsKnown for one2Unknown — not stated by the source
USB 3.2 Gen 1 (3.1 Gen 1) ports quantityKnown for oneUnknown — not stated by the source1
Cable lock slotKnown for oneUnknown — not stated by the sourceYes
HDMI ports quantityKnown for oneUnknown — not stated by the source1
Poweridentical
AC adapter output voltageKnown for oneUnknown — not stated by the source12 V
AC adapter output currentKnown for oneUnknown — not stated by the source1 A
USB output currentKnown for oneUnknown — not stated by the source0.5 A
Power consumption (typical)Known for oneUnknown — not stated by the source9 W
Power consumption (Power over Ethernet (PoE))Known for oneUnknown — not stated by the source10.2 W
Operational conditions2 differ
Operating relative humidity (H-H)Differs5 - 90%10 - 95%
Operating temperature (T-T)Differs-10 - 45 °C0 - 40 °C
Weight & dimensions6 differ
WidthDiffers259.4 mm273 mm
DepthDiffers220 mm226 mm
HeightDiffers239 mm285 mm
Package widthDiffers324 mm336 mm
Package depthDiffers293 mm364 mm
Package heightDiffers128 mm112 mm
Package weightKnown for one8.8 kgUnknown — not stated by the source
Packaging contentidentical
Ethernet cableKnown for oneUnknown — not stated by the sourceYes
HandsetKnown for oneUnknown — not stated by the sourceYes
Quick start guideKnown for oneUnknown — not stated by the sourceYes
Stand includedKnown for oneUnknown — not stated by the sourceYes
Certificatesidentical
Compliance certificatesKnown for oneUnknown — not stated by the sourceCE, Federal Communications Commission (FCC), REACH, RoHS
Sustainability complianceKnown for oneUnknown — not stated by the sourceYes

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons